# Users API

> People with access to the workspace.

Base URL: `https://api.socialit.com/v1`. Authenticate with `Authorization: Bearer <API key or OAuth token>`.

## List users

`GET /users`

Workspace members with their role and profile access.

Access: `read` · MCP tool: `list-users` · Zernio: `GET /v1/users`

### Query parameters

- `page` (integer; ≥ 1): Page number
- `limit` (integer; 1–100): Items per page (max 100)
- `sort` (string; one of created_at, email, name, role)
- `order` (string; one of asc, desc)
- `match` (string; one of all, or): Combine filters with AND (default) or OR
- `role` (string)
- `email` (string)

```bash
curl "https://api.socialit.com/v1/users" \
  -H "Authorization: Bearer $SOCIALIT_API_KEY"
```

Response 200:

```json
{
  "object": "list",
  "data": [
    {
      "object": "user",
      "id": "string",
      "name": "string",
      "email": "you@example.com",
      "avatar_url": "https://example.com",
      "role": "owner",
      "all_profiles": true,
      "profile_ids": [
        "string"
      ],
      "joined_at": "2026-10-13T09:00:00.000Z"
    }
  ],
  "page": 1,
  "limit": 1,
  "total": 1,
  "has_more": true,
  "next_page_url": "https://example.com",
  "previous_page_url": "https://example.com"
}
```

## Get a user

`GET /users/{id}`

Access: `read` · MCP tool: `get-user` · Zernio: `GET /v1/users/{userId}`

### Path parameters

- `id` (string; required): User id (usr_…)

```bash
curl "https://api.socialit.com/v1/users/ID" \
  -H "Authorization: Bearer $SOCIALIT_API_KEY"
```

Response 200:

```json
{
  "object": "user",
  "id": "string",
  "name": "string",
  "email": "you@example.com",
  "avatar_url": "https://example.com",
  "role": "owner",
  "all_profiles": true,
  "profile_ids": [
    "string"
  ],
  "joined_at": "2026-10-13T09:00:00.000Z"
}
```


---

Source: https://socialit.com/docs/api-reference/users/
